接続履歴を取得
curl --request GET \
--url https://api.x.com/2/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"connected_at": "2023-11-07T05:31:56Z",
"endpoint_name": "sample_stream",
"client_ip": "<string>",
"disconnect_reason": "operator_disconnect",
"disconnected_at": "2023-11-07T05:31:56Z"
}
],
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
],
"meta": {
"next_token": "<string>",
"result_count": 123
}
}{
"code": 123,
"message": "<string>"
}接続履歴を取得
認証済みアプリケーションに対するアクティブおよび過去のストリーミング接続を、切断理由とともに返します。
GET
/
2
/
connections
接続履歴を取得
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
接続ステータスでフィルターします。現在の接続には「active」、過去/切断済みの接続には「inactive」、両方を対象とする場合は「all」を使用します。
Available options:
active, inactive, all ストリーミングエンドポイントでフィルターします。結果を絞り込むために、1 つ以上のエンドポイント名を指定します。
Available options:
filter_stream, sample_stream, sample10_stream, firehose_stream, tweets_compliance_stream, users_compliance_stream, tweet_label_stream, firehose_stream_lang_en, firehose_stream_lang_ja, firehose_stream_lang_ko, firehose_stream_lang_pt, likes_firehose_stream, likes_sample10_stream, likes_compliance_stream 1 ページあたりに返される結果の最大件数です。
Required range:
1 <= x <= 100結果をページネーションするためのトークンです。前のレスポンスの「next_token」の値を使用します。
返す Connection フィールドをカンマ区切りで指定します。 Connection オブジェクトで使用可能なフィールド。
Minimum array length:
1Available options:
client_ip, connected_at, disconnect_reason, disconnected_at, endpoint_name, id Example:
[ "client_ip", "connected_at", "disconnect_reason", "disconnected_at", "endpoint_name", "id" ]
Response
リクエストは成功しました。
Minimum array length:
1Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) で定義された HTTP Problem Details オブジェクト。
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
Show child attributes
Show child attributes